@import './fieldset.css';

/* Page Setup */
#feedback {color:#F62217; margin-left:5% ; font-style: italic; font-size: 1.5em; padding-bottom:20px;}
fieldset {margin-bottom: 0px;}

label {display:inline-block; min-width: 150px;}
label.order_type {min-width: 50px !important;}
.order_type {width: 45px;}
#submit_div {width: 400px; margin: 30px auto;}
.asterisk {color: #ff0000;}

.error {margin-left: 3px; color: #ff0000; font-style: italic;}
label.error {margin-left: 3px; color: #ff0000; font-style: italic; font-size: 12px;}

.hiding, .hide, #frame, #door {display:none;}
.instruction, .warning {display: block; color: #1589FF; font-size: 12px; font-style: italic;}
.warning {display: inline-block;}
.suggestion {font-size: 12px; display:inline-block; color: green;}

/* Input */
select { width: 180px; }
input[type=text] {width: 175px;}
input[type=number] { width: 90px;}
input[name=left], input[name=right] {width:40px;}

/* Door Frame Dimension */
#frame div, #door div { display:inline-block; vertical-align: top;}
#frame div:last-child, #door div:last-child {margin-top: -15px; margin-left: 15%; border: 2px dashed #ccc;border-radius: 5px; padding: 0px 5px;}
#frame .door_frame_svg .mydoor,
#frame .door_frame_svg .door_width,
#frame .door_frame_svg .door_length,
#frame .door_frame_svg .below_gap,
#frame .double_door_frame_svg {display:none;}


/* Frame Shapes */
#frame_shapes { position:absolute; top:75px; left:50%; }
#frame_shapes > div { display: inline-block; vertical-align: middle;}
#frames { height: 200px; width:325px; overflow: auto; border: 2px solid #999999; border-radius: 5px;}
#frames ul { margin: 0px; padding: 2px; list-style-type: none; }
    #frames li {
        margin-bottom: 1px;
        border: 2px solid #cccccc;
        border-radius: 5px;
        display: block;
        cursor: pointer;
        padding: 2px;
    }
    #frames li:last-child {padding-bottom: 5px;}
    .frames_active { background-color: #9AFEFF;}
#frame_dimension {width: 120px;}
    #frame_dimension input {width: 45px;}
.list {width:18px; display: inline-block; margin: 3px;}

#mynote {position:absolute; top:320px; left:50%;}
#mynote label {display:block;}

#hardware li {list-style: none;}

.add_file {background-color: #cccccc; border-radius: 5px; cursor:pointer; display:block; width: 90px; margin-left: 150px; margin-top: 5px;}
.add_file:hover {background-color: #FFA500; color: #fff;}
.attachments:not(:first-of-type) {display: block; margin-left: 154px; margin-top: 5px;}

@media screen and (max-width: 1100px) { 
    #frame_dimension {width: 330px;}
    #mynote {top:360px;}
}

@media screen and (max-width: 800px) { 
    #frame_shapes, #mynote { position: static;}
    #frame div:last-child, #door div:last-child {margin: 5px auto;}
}

@media screen and (max-width: 460px) { 
    label {display: block;}
    .order_type {display: inline-block;}
}